
TYPO3.TYPO3CR - Bug # 2121

Status: Resolved Priority: Must have
Author: Robert Lemke Category:
Created: 2008-11-11 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: (Almost) all objects in the TYPO3CR package should be prototype
Description

Classes like QueryManager, QueryObjectModelFactory etc. should be instantiated as prototype because otherwise it doesn't make
sense to pass on the session between them etc.

Associated revisions
Revision 19a45139 - 2008-11-11 18:27 - Karsten Dambekalns
TYPO3CR:
    -  adjusted scope where needed, now everything in TYPO3CR (except two classes) is prototype, fixes #2121
    -  removed unused Utility class

History
#1 - 2008-11-11 11:45 - Robert Lemke
- Target version changed from 198 to 197

#2 - 2008-11-11 14:10 - Karsten Dambekalns
- Status changed from New to Accepted
- Priority changed from Should have to Must have

#3 - 2008-11-11 18:07 - Karsten Dambekalns
- % Done changed from 0 to 90

As it is right now, only two singletons are left:
    -  ValueFactory
    -  PathParser

#4 - 2008-11-11 18:30 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 90 to 100

Applied in changeset r1492.

#5 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
